## ros-lunar-rosflight 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosflight)

set(CMAKE_BUILD_TYPE Release)

message("CMAKE_C_FLAGS_RELEASE is ${CMAKE_C_FLAGS_RELEASE}")

set(CMAKE_CXX_FLAGS "-std=c++0x")

find_package(catkin REQUIRED COMPONENTS
  roscpp
  eigen_stl_containers
  geometry_msgs
  rosflight_msgs
  sensor_msgs
  std_msgs
  std_srvs
  tf
)
find_package(Boost REQUIRED COMPONENTS system thread)
find_package(Eigen3 REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(YAML_CPP REQUIRED yaml-cpp)

## Look for and clone MAVLINK if it is missing
if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/include/rosflight/mavlink/v1.0/.git")
  message(STATUS "MAVLink submodule not found at ${CMAKE_CURRENT_SOURCE_DIR}/include/rosflight/mavlink/v1.0")
  execute_process(
    COMMAND git submodule update --init --recursive
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
endif()

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES mavrosflight
  CATKIN_DEPENDS roscpp geometry_msgs rosflight_msgs sensor_msgs std_msgs tf
  DEPENDS Boost EIGEN3 YAML_CPP tf
)

###########
## Build ##
###########

include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
  ${YAML_CPP_INCLUDEDIR}
)

# mavrosflight library
add_library(mavrosflight
  src/mavrosflight/mavrosflight.cpp
  src/mavrosflight/mavlink_comm.cpp
  src/mavrosflight/mavlink_serial.cpp
  src/mavrosflight/mavlink_udp.cpp
  src/mavrosflight/param_manager.cpp
  src/mavrosflight/param.cpp
  src/mavrosflight/time_manager.cpp
)
add_dependencies(mavrosflight ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(mavrosflight
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${YAML_CPP_LIBRARIES}
)

# rosflight_io_node
add_executable(rosflight_io
  src/rosflight_io_node.cpp
  src/rosflight_io.cpp
)
add_dependencies(rosflight_io ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rosflight_io
  mavrosflight
  ${catkin_LIBRARIES}
  ${Boost_LIBRARES}
)

add_executable(calibrate_mag
    src/mag_cal_node.cpp
    src/mag_cal.cpp
)
add_dependencies(calibrate_mag ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

target_link_libraries(calibrate_mag
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

#############
## Install ##
#############

# Mark executables and libraries for installation
install(TARGETS mavrosflight rosflight_io
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/rosflight/mavrosflight/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-lunar-rosflight (1.0.0-0stretch) stretch; urgency=high

  * Fixed Eigen build errors for debian
  * Fixed eigen_stl_containers dependency
  * Added timer to throttle rate at which params are sent
  * made time retrieval 32 bit for millisecond and 64 bit for microsecond
  * add includes for std libs to fix build
  * use one timer with 10 Hz update
  * Cleaned up rosconsole output on startup
  * added declarations to rosflight_io header. Successfully tested on a board
  * added callback and service advertisement for reboot_to_bootloader
  * added header stamp
  * some tweaks to the calibration routine
  * got rid of stupid eigen size format warning
  * added viz_mag to rosflight_utils
  * Increased UDP buffer size for sim communications
  * changed deque to STL containers in EigenSTL for proper memory alignment
  * CMakelists update and include the boost library
  * removed sensors from mavrosflight
  * Print error codes by name
  * Updated mavlink and status message
  * updated Jerel's mag and made it a node
  * fixed timestamping issue with simulator (need to test on hardware)
  * updated firmware
  * Got UDP comms working with SIL in Gazebo
  * Added UDP support
  * Abstracted serial communication layer
  * Variable name change to be in accordance with ROS c++ style guide. Changed handle_small_range function name to handle_small_range_msg, to be consistent with the other message handler functions. Changed the if within handle_small_range to a switch. Compiled and run on my machine, works.
  * Updated mavlink submodule to latest commit: 5f399ef
  * More user-friendly autopilot error-code printing
  * Contributors: Cameron McQuinn, Daniel Koch, Devon, Erich Nygaard, James Jackson, Jerel Nielsen, tyler

 -- Daniel Koch <daniel.p.koch@gmail.com>  Tue, 13 Mar 2018 06:00:00 -0000

ros-lunar-rosflight (0.1.3-0stretch) stretch; urgency=high

  * Temporarily removed magnetometer calibration
  * Updated package.xml files
  * Renamed sonar/data topic to sonar
  * Changed yaml-cpp dependency to a PkgConfig module
  * Contributors: Daniel Koch

 -- Daniel Koch <daniel.p.koch@gmail.com>  Fri, 02 Jun 2017 06:00:00 -0000

ros-lunar-rosflight (0.1.2-0stretch) stretch; urgency=high

  * Removed OpenMP compile flag for now
  * Added missing tf dependency
  * Contributors: Daniel Koch

 -- Daniel Koch <daniel.p.koch@gmail.com>  Wed, 24 May 2017 06:00:00 -0000

ros-lunar-rosflight (0.1.1-0stretch) stretch; urgency=high

  * Added missing dependencies
  * Contributors: Daniel Koch

 -- Daniel Koch <daniel.p.koch@gmail.com>  Wed, 24 May 2017 06:00:00 -0000

ros-lunar-rosflight (0.1.0-0stretch) stretch; urgency=high

  * Added BSD license statements to source files
    Closes #1 <https://github.com/rosflight/rosflight/issues/1>
  * Added git as build dependency for rosflight
  * Fixed system dependencies. Closes #10 <https://github.com/rosflight/rosflight/issues/10>.
  * cleanup of CMakeLists.txt
  * cleanup of CMakeLists.txt
  * automatic git submodule cloning
  * Replaced outdated package README files with simpler top-level README
    The information that used to be in the package README files is now on the ROS wiki (http://wiki.ros.org/rosflight_pkgs, http://wiki.ros.org/rosflight, etc.)
    Closes #7 <https://github.com/rosflight/rosflight/issues/7>
  * Fixed rosflight_io runtime name
  * Created the rosflight_msgs package and updated dependencies
  * Restructured rosflight package include structure
  * Renamed rosflight_io package to rosflight
  * Contributors: Daniel Koch, James Jackson

 -- Daniel Koch <daniel.p.koch@gmail.com>  Mon, 22 May 2017 06:00:00 -0000

=== debian/control ===
Source: ros-lunar-rosflight
Section: misc
Priority: extra
Maintainer: Daniel Koch <daniel.p.koch@gmail.com>
Build-Depends: debhelper (>= 9.0.0), git-core, libboost-all-dev, libeigen3-dev, libyaml-cpp-dev, pkg-config, ros-lunar-catkin, ros-lunar-eigen-stl-containers, ros-lunar-geometry-msgs, ros-lunar-roscpp, ros-lunar-rosflight-msgs, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Homepage: http://rosflight.org
Standards-Version: 3.9.2

Package: ros-lunar-rosflight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, libyaml-cpp-dev, ros-lunar-eigen-stl-containers, ros-lunar-geometry-msgs, ros-lunar-roscpp, ros-lunar-rosflight-msgs, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf
Description: Package for interfacing to the ROSflight autopilot firmware over MAVLink

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rosflight//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
